Subject: Re: [GIT PULL 7/7] i.MX defconfig changes for 5.3

From: Shawn Guo <[email-masked]>
Date: Thu, 27 Jun 2019 21:25:12 +0800

On Thu, Jun 27, 2019 at 10:14:25AM +0800, Olof Johansson wrote:
> On Wed, Jun 26, 2019 at 10:02 AM Shawn Guo <[email-masked]> wrote:
> >
> > On Tue, Jun 25, 2019 at 05:32:34AM -0700, Olof Johansson wrote:
> > > > Anson Huang (6):
> > > >       arm64: defconfig: add support for i.MX system controller watchdog
> > > >       ARM: imx_v6_v7_defconfig: Enable CONFIG_THERMAL_STATISTICS
> > > >       ARM: imx_v6_v7_defconfig: Add TPM PWM support by default
> > > >       arm64: defconfig: Enable CONFIG_QORIQ_THERMAL
> > > >       arm64: defconfig: Add i.MX SCU SoC info driver
> > >
> > > An SoC info driver shouldn't need to be =y, I think? It exports no in-kernel
> > > interfaces, so it should do just fine as a module.
> >
> > Hmm, soc_device_match() comes out of SoC bus subsystem and will be used
> > by device drivers to identify SoC.
> 
> Ah, yes of course. But don't we usually use compatible for this?

Yes, we do.  But soc_device_match() is now preferred over compatible,
since it can even identify the SoC revision while compatible usually
cannot.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel